Index: code/trunk/src/modules/hover/FlagHUD.cc
===================================================================
--- code/trunk/src/modules/hover/FlagHUD.cc	(revision 11052)
+++ code/trunk/src/modules/hover/FlagHUD.cc	(revision 11071)
@@ -48,5 +48,5 @@
         RegisterObject(FlagHUD);
 
-        this->hoverGame_ = NULL;
+        this->hoverGame_ = nullptr;
         this->panel_ = static_cast<Ogre::PanelOverlayElement*>(Ogre::OverlayManager::getSingleton()
             .createOverlayElement("Panel", "FlagHUD_Panel_" + getUniqueNumberString()));
@@ -101,5 +101,5 @@
         else
         {
-            this->hoverGame_ = 0;
+            this->hoverGame_ = nullptr;
         }
     }
Index: code/trunk/src/modules/hover/FlagHUD.h
===================================================================
--- code/trunk/src/modules/hover/FlagHUD.h	(revision 11052)
+++ code/trunk/src/modules/hover/FlagHUD.h	(revision 11071)
@@ -47,6 +47,6 @@
         virtual ~FlagHUD();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
         void setFlagCount(int flagCount);
Index: code/trunk/src/modules/hover/Hover.cc
===================================================================
--- code/trunk/src/modules/hover/Hover.cc	(revision 11052)
+++ code/trunk/src/modules/hover/Hover.cc	(revision 11071)
@@ -48,5 +48,5 @@
         RegisterObject(Hover);
 
-        this->origin_ = NULL;
+        this->origin_ = nullptr;
         this->numberOfFlags_ = 1;
         this->firstTick_ = true;
Index: code/trunk/src/modules/hover/Hover.h
===================================================================
--- code/trunk/src/modules/hover/Hover.h	(revision 11052)
+++ code/trunk/src/modules/hover/Hover.h	(revision 11071)
@@ -50,5 +50,5 @@
             Hover(Context* context);
 
-            virtual void tick(float dt);          
+            virtual void tick(float dt) override;
 
             void setOrigin(HoverOrigin* origin)
Index: code/trunk/src/modules/hover/HoverFlag.cc
===================================================================
--- code/trunk/src/modules/hover/HoverFlag.cc	(revision 11052)
+++ code/trunk/src/modules/hover/HoverFlag.cc	(revision 11071)
@@ -49,11 +49,11 @@
         RegisterObject(HoverFlag);
 
-        this->model_ = NULL;
-        this->cs_ = NULL;
+        this->model_ = nullptr;
+        this->cs_ = nullptr;
         this->collided_ = false;
 
         this->enableCollisionCallback();
         this->setCollisionResponse(true);
-        this->setCollisionType(Static);
+        this->setCollisionType(CollisionType::Static);
     }
 
Index: code/trunk/src/modules/hover/HoverFlag.h
===================================================================
--- code/trunk/src/modules/hover/HoverFlag.h	(revision 11052)
+++ code/trunk/src/modules/hover/HoverFlag.h	(revision 11071)
@@ -51,5 +51,5 @@
             void init(int xCoordinate, int yCoordinate, int cellSize);
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint);            
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             inline bool getCollided() const
Index: code/trunk/src/modules/hover/HoverOrigin.cc
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.cc	(revision 11052)
+++ code/trunk/src/modules/hover/HoverOrigin.cc	(revision 11071)
@@ -58,5 +58,5 @@
     void HoverOrigin::checkGametype()
     {
-        if (getGametype() != NULL && this->getGametype()->isA(Class(Hover)))
+        if (getGametype() != nullptr && this->getGametype()->isA(Class(Hover)))
         {
             Hover* hoverGametype = orxonox_cast<Hover*>(this->getGametype());
Index: code/trunk/src/modules/hover/HoverOrigin.h
===================================================================
--- code/trunk/src/modules/hover/HoverOrigin.h	(revision 11052)
+++ code/trunk/src/modules/hover/HoverOrigin.h	(revision 11071)
@@ -108,6 +108,6 @@
         public:
             HoverOrigin(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Hover.
-            virtual ~HoverOrigin() {}
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method to create a HoverOrigin through XML.
+            virtual ~HoverOrigin() = default;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method to create a HoverOrigin through XML.
             
             inline void setNumCells(int numCells)
Index: code/trunk/src/modules/hover/HoverShip.h
===================================================================
--- code/trunk/src/modules/hover/HoverShip.h	(revision 11052)
+++ code/trunk/src/modules/hover/HoverShip.h	(revision 11071)
@@ -44,5 +44,5 @@
             HoverShip(Context* context);
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /// sets this ships jumpBoost
@@ -53,19 +53,19 @@
                 { return this->jumpBoost_; }
 
-            virtual void moveFrontBack(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
 
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveRightLeft(const Vector2& value) override;
 
-            virtual void moveUpDown(const Vector2& value);
+            virtual void moveUpDown(const Vector2& value) override;
 
-            virtual void rotateYaw(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
 
-            virtual void rotatePitch(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value) override;
 
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateRoll(const Vector2& value) override;
 
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
         private:
Index: code/trunk/src/modules/hover/HoverWall.cc
===================================================================
--- code/trunk/src/modules/hover/HoverWall.cc	(revision 11052)
+++ code/trunk/src/modules/hover/HoverWall.cc	(revision 11071)
@@ -46,10 +46,10 @@
         RegisterObject(HoverWall);
 
-        this->model_ = NULL;
-        this->cs_ = NULL;
+        this->model_ = nullptr;
+        this->cs_ = nullptr;
 
         this->enableCollisionCallback();
         this->setCollisionResponse(true);
-        this->setCollisionType(Static);
+        this->setCollisionType(CollisionType::Static);
     }
 
Index: code/trunk/src/modules/hover/TimeHUD.cc
===================================================================
--- code/trunk/src/modules/hover/TimeHUD.cc	(revision 11052)
+++ code/trunk/src/modules/hover/TimeHUD.cc	(revision 11071)
@@ -47,5 +47,5 @@
         this->time_ = 0.0f;
         this->running_ = false;
-        this->hoverGame_ = 0;
+        this->hoverGame_ = nullptr;
         setRunning(true);
     }
@@ -98,5 +98,5 @@
         else
         {
-            this->hoverGame_ = 0;
+            this->hoverGame_ = nullptr;
         }
     }
Index: code/trunk/src/modules/hover/TimeHUD.h
===================================================================
--- code/trunk/src/modules/hover/TimeHUD.h	(revision 11052)
+++ code/trunk/src/modules/hover/TimeHUD.h	(revision 11071)
@@ -45,6 +45,6 @@
             TimeHUD(Context* context);
 
-            virtual void tick(float dt);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void changedOwner() override;
 
             /// sets if the clock is running
